#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private Tradesight.TradesightSeekerComber1000[] cacheTradesightSeekerComber1000;
		private Tradesight.Tradesight_AverageTrueRange[] cacheTradesight_AverageTrueRange;
		private Tradesight.Tradesight_Futures_Levels[] cacheTradesight_Futures_Levels;
		private Tradesight.Tradesight_Gann_Tool[] cacheTradesight_Gann_Tool;
		private Tradesight.Tradesight_MarketDirectional_Tool[] cacheTradesight_MarketDirectional_Tool;
		private Tradesight.Tradesight_OpeningRange_Tool[] cacheTradesight_OpeningRange_Tool;
		private Tradesight.Tradesight_PressureThreshold_Tool[] cacheTradesight_PressureThreshold_Tool;
		private Tradesight.Tradesight_VWAP_Tool[] cacheTradesight_VWAP_Tool;

		
		public Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			return TradesightSeekerComber1000(Input, maxSetupCount, showSeeker, showComber, seekerCountdown, seekerRiskLevel, comberCountdown, comberRiskLevel, contratrendMove, recycleMove, smallSetupMultiplier, countdownQualifier, setupTextColor, outlineSetup, setupStroke, seekerTextColor, seekerAggressiveTextColor, comberTextColor, comberV2TextColor, comberAggressiveTextColor, bullishTDST, bullishTDSTAfterBreak, bearishTDST, bearishTDSTAfterBreak, riskLine, buttonFGColor, regularBGColor, projectionModeBGColor, setupCompleted, exhaustionBar12, exhaustionBar13);
		}

		public Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			return Tradesight_AverageTrueRange(Input, startTime, length, textDecimals, textFont, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold);
		}

		public Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			return Tradesight_Futures_Levels(Input, showLevels, dateOverride, displayUBreak, uBreakStroke, displayLBreak, lBreakStroke, displayVAH, vAHStroke, displayVAL, vALStroke, displayUPT, uPTStroke, displayLPT, lPTStroke, displayTriStar1, triStar1Stroke, displayTriStar2, triStar2Stroke, displayTriStar3, triStar3Stroke, displayTriStar4, triStar4Stroke, displayR4, r4Stroke, displayR3, r3Stroke, displayR2, r2Stroke, displayR1, r1Stroke, displayPivot, pivotStroke, displayS1, s1Stroke, displayS2, s2Stroke, displayS3, s3Stroke, displayS4, s4Stroke, displayLeveledPivot, leveledPivotStroke, displayClosingPivot, closingPivotStroke, showText, showLegend, textDecimals, textColor, textFont, doShading, shadingColor, shadingOpacity, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold, showADR, startTime);
		}

		public Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			return Tradesight_Gann_Tool(Input, showMinus2, minus2Line, showMinus1, minus1Line, showZero8, zero8Line, showOne8, one8Line, showTwo8, two8Line, showThree8, three8Line, showFour8, four8Line, showFive8, five8Line, showSix8, six8Line, showSeven8, seven8Line, showEight8, eight8Line, showPlusOne, plusOneLine, showPlusTwo, plusTwoLine, textFont, textForeground, textBackground);
		}

		public Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return Tradesight_MarketDirectional_Tool(Input, dailyReset, startTime, endTime, openLineUpColor, openLineDnColor, midLineUpColor, midLineDnColor, avgPeriod, upColor, dnColor, gapPercent, textDecimals, textFont, textColor, hideOpenLine, hideMidLine, hideAvgLine, hideGapLine, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return Tradesight_OpeningRange_Tool(Input, startTime, endTime, shadingColor, shadingOpacity, stopPercentage, stopPoints, textFont, textOffset, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			return Tradesight_PressureThreshold_Tool(Input, displayProjectionButton, buttonFGColor, regularBGColor, projectionModeBGColor);
		}

		public Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			return Tradesight_VWAP_Tool(Input, timeFrame, dailyReset, startTime, endTime, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, alertWAV, toEmail);
		}


		
		public Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(ISeries<double> input, bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			if (cacheTradesightSeekerComber1000 != null)
				for (int idx = 0; idx < cacheTradesightSeekerComber1000.Length; idx++)
					if (cacheTradesightSeekerComber1000[idx].MaxSetupCount == maxSetupCount && cacheTradesightSeekerComber1000[idx].ShowSeeker == showSeeker && cacheTradesightSeekerComber1000[idx].ShowComber == showComber && cacheTradesightSeekerComber1000[idx].SeekerCountdown == seekerCountdown && cacheTradesightSeekerComber1000[idx].SeekerRiskLevel == seekerRiskLevel && cacheTradesightSeekerComber1000[idx].ComberCountdown == comberCountdown && cacheTradesightSeekerComber1000[idx].ComberRiskLevel == comberRiskLevel && cacheTradesightSeekerComber1000[idx].ContratrendMove == contratrendMove && cacheTradesightSeekerComber1000[idx].RecycleMove == recycleMove && cacheTradesightSeekerComber1000[idx].SmallSetupMultiplier == smallSetupMultiplier && cacheTradesightSeekerComber1000[idx].CountdownQualifier == countdownQualifier && cacheTradesightSeekerComber1000[idx].SetupTextColor == setupTextColor && cacheTradesightSeekerComber1000[idx].OutlineSetup == outlineSetup && cacheTradesightSeekerComber1000[idx].SetupStroke == setupStroke && cacheTradesightSeekerComber1000[idx].SeekerTextColor == seekerTextColor && cacheTradesightSeekerComber1000[idx].SeekerAggressiveTextColor == seekerAggressiveTextColor && cacheTradesightSeekerComber1000[idx].ComberTextColor == comberTextColor && cacheTradesightSeekerComber1000[idx].ComberV2TextColor == comberV2TextColor && cacheTradesightSeekerComber1000[idx].ComberAggressiveTextColor == comberAggressiveTextColor && cacheTradesightSeekerComber1000[idx].BullishTDST == bullishTDST && cacheTradesightSeekerComber1000[idx].BullishTDSTAfterBreak == bullishTDSTAfterBreak && cacheTradesightSeekerComber1000[idx].BearishTDST == bearishTDST && cacheTradesightSeekerComber1000[idx].BearishTDSTAfterBreak == bearishTDSTAfterBreak && cacheTradesightSeekerComber1000[idx].RiskLine == riskLine && cacheTradesightSeekerComber1000[idx].ButtonFGColor == buttonFGColor && cacheTradesightSeekerComber1000[idx].RegularBGColor == regularBGColor && cacheTradesightSeekerComber1000[idx].ProjectionModeBGColor == projectionModeBGColor && cacheTradesightSeekerComber1000[idx].SetupCompleted == setupCompleted && cacheTradesightSeekerComber1000[idx].ExhaustionBar12 == exhaustionBar12 && cacheTradesightSeekerComber1000[idx].ExhaustionBar13 == exhaustionBar13 && cacheTradesightSeekerComber1000[idx].EqualsInput(input))
						return cacheTradesightSeekerComber1000[idx];
			return CacheIndicator<Tradesight.TradesightSeekerComber1000>(new Tradesight.TradesightSeekerComber1000(){ MaxSetupCount = maxSetupCount, ShowSeeker = showSeeker, ShowComber = showComber, SeekerCountdown = seekerCountdown, SeekerRiskLevel = seekerRiskLevel, ComberCountdown = comberCountdown, ComberRiskLevel = comberRiskLevel, ContratrendMove = contratrendMove, RecycleMove = recycleMove, SmallSetupMultiplier = smallSetupMultiplier, CountdownQualifier = countdownQualifier, SetupTextColor = setupTextColor, OutlineSetup = outlineSetup, SetupStroke = setupStroke, SeekerTextColor = seekerTextColor, SeekerAggressiveTextColor = seekerAggressiveTextColor, ComberTextColor = comberTextColor, ComberV2TextColor = comberV2TextColor, ComberAggressiveTextColor = comberAggressiveTextColor, BullishTDST = bullishTDST, BullishTDSTAfterBreak = bullishTDSTAfterBreak, BearishTDST = bearishTDST, BearishTDSTAfterBreak = bearishTDSTAfterBreak, RiskLine = riskLine, ButtonFGColor = buttonFGColor, RegularBGColor = regularBGColor, ProjectionModeBGColor = projectionModeBGColor, SetupCompleted = setupCompleted, ExhaustionBar12 = exhaustionBar12, ExhaustionBar13 = exhaustionBar13 }, input, ref cacheTradesightSeekerComber1000);
		}

		public Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(ISeries<double> input, int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			if (cacheTradesight_AverageTrueRange != null)
				for (int idx = 0; idx < cacheTradesight_AverageTrueRange.Length; idx++)
					if (cacheTradesight_AverageTrueRange[idx].StartTime == startTime && cacheTradesight_AverageTrueRange[idx].Length == length && cacheTradesight_AverageTrueRange[idx].TextDecimals == textDecimals && cacheTradesight_AverageTrueRange[idx].TextFont == textFont && cacheTradesight_AverageTrueRange[idx].UseSoundAlerts == useSoundAlerts && cacheTradesight_AverageTrueRange[idx].UsePopupAlerts == usePopupAlerts && cacheTradesight_AverageTrueRange[idx].UseEmailAlerts == useEmailAlerts && cacheTradesight_AverageTrueRange[idx].EmailAddress == emailAddress && cacheTradesight_AverageTrueRange[idx].AlertWav == alertWav && cacheTradesight_AverageTrueRange[idx].AlertThreshold == alertThreshold && cacheTradesight_AverageTrueRange[idx].EqualsInput(input))
						return cacheTradesight_AverageTrueRange[idx];
			return CacheIndicator<Tradesight.Tradesight_AverageTrueRange>(new Tradesight.Tradesight_AverageTrueRange(){ StartTime = startTime, Length = length, TextDecimals = textDecimals, TextFont = textFont, UseSoundAlerts = useSoundAlerts, UsePopupAlerts = usePopupAlerts, UseEmailAlerts = useEmailAlerts, EmailAddress = emailAddress, AlertWav = alertWav, AlertThreshold = alertThreshold }, input, ref cacheTradesight_AverageTrueRange);
		}

		public Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(ISeries<double> input, bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			if (cacheTradesight_Futures_Levels != null)
				for (int idx = 0; idx < cacheTradesight_Futures_Levels.Length; idx++)
					if (cacheTradesight_Futures_Levels[idx].ShowLevels == showLevels && cacheTradesight_Futures_Levels[idx].DateOverride == dateOverride && cacheTradesight_Futures_Levels[idx].DisplayUBreak == displayUBreak && cacheTradesight_Futures_Levels[idx].UBreakStroke == uBreakStroke && cacheTradesight_Futures_Levels[idx].DisplayLBreak == displayLBreak && cacheTradesight_Futures_Levels[idx].LBreakStroke == lBreakStroke && cacheTradesight_Futures_Levels[idx].DisplayVAH == displayVAH && cacheTradesight_Futures_Levels[idx].VAHStroke == vAHStroke && cacheTradesight_Futures_Levels[idx].DisplayVAL == displayVAL && cacheTradesight_Futures_Levels[idx].VALStroke == vALStroke && cacheTradesight_Futures_Levels[idx].DisplayUPT == displayUPT && cacheTradesight_Futures_Levels[idx].UPTStroke == uPTStroke && cacheTradesight_Futures_Levels[idx].DisplayLPT == displayLPT && cacheTradesight_Futures_Levels[idx].LPTStroke == lPTStroke && cacheTradesight_Futures_Levels[idx].DisplayTriStar1 == displayTriStar1 && cacheTradesight_Futures_Levels[idx].TriStar1Stroke == triStar1Stroke && cacheTradesight_Futures_Levels[idx].DisplayTriStar2 == displayTriStar2 && cacheTradesight_Futures_Levels[idx].TriStar2Stroke == triStar2Stroke && cacheTradesight_Futures_Levels[idx].DisplayTriStar3 == displayTriStar3 && cacheTradesight_Futures_Levels[idx].TriStar3Stroke == triStar3Stroke && cacheTradesight_Futures_Levels[idx].DisplayTriStar4 == displayTriStar4 && cacheTradesight_Futures_Levels[idx].TriStar4Stroke == triStar4Stroke && cacheTradesight_Futures_Levels[idx].DisplayR4 == displayR4 && cacheTradesight_Futures_Levels[idx].R4Stroke == r4Stroke && cacheTradesight_Futures_Levels[idx].DisplayR3 == displayR3 && cacheTradesight_Futures_Levels[idx].R3Stroke == r3Stroke && cacheTradesight_Futures_Levels[idx].DisplayR2 == displayR2 && cacheTradesight_Futures_Levels[idx].R2Stroke == r2Stroke && cacheTradesight_Futures_Levels[idx].DisplayR1 == displayR1 && cacheTradesight_Futures_Levels[idx].R1Stroke == r1Stroke && cacheTradesight_Futures_Levels[idx].DisplayPivot == displayPivot && cacheTradesight_Futures_Levels[idx].PivotStroke == pivotStroke && cacheTradesight_Futures_Levels[idx].DisplayS1 == displayS1 && cacheTradesight_Futures_Levels[idx].S1Stroke == s1Stroke && cacheTradesight_Futures_Levels[idx].DisplayS2 == displayS2 && cacheTradesight_Futures_Levels[idx].S2Stroke == s2Stroke && cacheTradesight_Futures_Levels[idx].DisplayS3 == displayS3 && cacheTradesight_Futures_Levels[idx].S3Stroke == s3Stroke && cacheTradesight_Futures_Levels[idx].DisplayS4 == displayS4 && cacheTradesight_Futures_Levels[idx].S4Stroke == s4Stroke && cacheTradesight_Futures_Levels[idx].DisplayLeveledPivot == displayLeveledPivot && cacheTradesight_Futures_Levels[idx].LeveledPivotStroke == leveledPivotStroke && cacheTradesight_Futures_Levels[idx].DisplayClosingPivot == displayClosingPivot && cacheTradesight_Futures_Levels[idx].ClosingPivotStroke == closingPivotStroke && cacheTradesight_Futures_Levels[idx].ShowText == showText && cacheTradesight_Futures_Levels[idx].ShowLegend == showLegend && cacheTradesight_Futures_Levels[idx].TextDecimals == textDecimals && cacheTradesight_Futures_Levels[idx].TextColor == textColor && cacheTradesight_Futures_Levels[idx].TextFont == textFont && cacheTradesight_Futures_Levels[idx].DoShading == doShading && cacheTradesight_Futures_Levels[idx].ShadingColor == shadingColor && cacheTradesight_Futures_Levels[idx].ShadingOpacity == shadingOpacity && cacheTradesight_Futures_Levels[idx].UseSoundAlerts == useSoundAlerts && cacheTradesight_Futures_Levels[idx].UsePopupAlerts == usePopupAlerts && cacheTradesight_Futures_Levels[idx].UseEmailAlerts == useEmailAlerts && cacheTradesight_Futures_Levels[idx].EmailAddress == emailAddress && cacheTradesight_Futures_Levels[idx].AlertWav == alertWav && cacheTradesight_Futures_Levels[idx].AlertThreshold == alertThreshold && cacheTradesight_Futures_Levels[idx].ShowADR == showADR && cacheTradesight_Futures_Levels[idx].StartTime == startTime && cacheTradesight_Futures_Levels[idx].EqualsInput(input))
						return cacheTradesight_Futures_Levels[idx];
			return CacheIndicator<Tradesight.Tradesight_Futures_Levels>(new Tradesight.Tradesight_Futures_Levels(){ ShowLevels = showLevels, DateOverride = dateOverride, DisplayUBreak = displayUBreak, UBreakStroke = uBreakStroke, DisplayLBreak = displayLBreak, LBreakStroke = lBreakStroke, DisplayVAH = displayVAH, VAHStroke = vAHStroke, DisplayVAL = displayVAL, VALStroke = vALStroke, DisplayUPT = displayUPT, UPTStroke = uPTStroke, DisplayLPT = displayLPT, LPTStroke = lPTStroke, DisplayTriStar1 = displayTriStar1, TriStar1Stroke = triStar1Stroke, DisplayTriStar2 = displayTriStar2, TriStar2Stroke = triStar2Stroke, DisplayTriStar3 = displayTriStar3, TriStar3Stroke = triStar3Stroke, DisplayTriStar4 = displayTriStar4, TriStar4Stroke = triStar4Stroke, DisplayR4 = displayR4, R4Stroke = r4Stroke, DisplayR3 = displayR3, R3Stroke = r3Stroke, DisplayR2 = displayR2, R2Stroke = r2Stroke, DisplayR1 = displayR1, R1Stroke = r1Stroke, DisplayPivot = displayPivot, PivotStroke = pivotStroke, DisplayS1 = displayS1, S1Stroke = s1Stroke, DisplayS2 = displayS2, S2Stroke = s2Stroke, DisplayS3 = displayS3, S3Stroke = s3Stroke, DisplayS4 = displayS4, S4Stroke = s4Stroke, DisplayLeveledPivot = displayLeveledPivot, LeveledPivotStroke = leveledPivotStroke, DisplayClosingPivot = displayClosingPivot, ClosingPivotStroke = closingPivotStroke, ShowText = showText, ShowLegend = showLegend, TextDecimals = textDecimals, TextColor = textColor, TextFont = textFont, DoShading = doShading, ShadingColor = shadingColor, ShadingOpacity = shadingOpacity, UseSoundAlerts = useSoundAlerts, UsePopupAlerts = usePopupAlerts, UseEmailAlerts = useEmailAlerts, EmailAddress = emailAddress, AlertWav = alertWav, AlertThreshold = alertThreshold, ShowADR = showADR, StartTime = startTime }, input, ref cacheTradesight_Futures_Levels);
		}

		public Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(ISeries<double> input, bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			if (cacheTradesight_Gann_Tool != null)
				for (int idx = 0; idx < cacheTradesight_Gann_Tool.Length; idx++)
					if (cacheTradesight_Gann_Tool[idx].ShowMinus2 == showMinus2 && cacheTradesight_Gann_Tool[idx].Minus2Line == minus2Line && cacheTradesight_Gann_Tool[idx].ShowMinus1 == showMinus1 && cacheTradesight_Gann_Tool[idx].Minus1Line == minus1Line && cacheTradesight_Gann_Tool[idx].ShowZero8 == showZero8 && cacheTradesight_Gann_Tool[idx].Zero8Line == zero8Line && cacheTradesight_Gann_Tool[idx].ShowOne8 == showOne8 && cacheTradesight_Gann_Tool[idx].One8Line == one8Line && cacheTradesight_Gann_Tool[idx].ShowTwo8 == showTwo8 && cacheTradesight_Gann_Tool[idx].Two8Line == two8Line && cacheTradesight_Gann_Tool[idx].ShowThree8 == showThree8 && cacheTradesight_Gann_Tool[idx].Three8Line == three8Line && cacheTradesight_Gann_Tool[idx].ShowFour8 == showFour8 && cacheTradesight_Gann_Tool[idx].Four8Line == four8Line && cacheTradesight_Gann_Tool[idx].ShowFive8 == showFive8 && cacheTradesight_Gann_Tool[idx].Five8Line == five8Line && cacheTradesight_Gann_Tool[idx].ShowSix8 == showSix8 && cacheTradesight_Gann_Tool[idx].Six8Line == six8Line && cacheTradesight_Gann_Tool[idx].ShowSeven8 == showSeven8 && cacheTradesight_Gann_Tool[idx].Seven8Line == seven8Line && cacheTradesight_Gann_Tool[idx].ShowEight8 == showEight8 && cacheTradesight_Gann_Tool[idx].Eight8Line == eight8Line && cacheTradesight_Gann_Tool[idx].ShowPlusOne == showPlusOne && cacheTradesight_Gann_Tool[idx].PlusOneLine == plusOneLine && cacheTradesight_Gann_Tool[idx].ShowPlusTwo == showPlusTwo && cacheTradesight_Gann_Tool[idx].PlusTwoLine == plusTwoLine && cacheTradesight_Gann_Tool[idx].TextFont == textFont && cacheTradesight_Gann_Tool[idx].TextForeground == textForeground && cacheTradesight_Gann_Tool[idx].TextBackground == textBackground && cacheTradesight_Gann_Tool[idx].EqualsInput(input))
						return cacheTradesight_Gann_Tool[idx];
			return CacheIndicator<Tradesight.Tradesight_Gann_Tool>(new Tradesight.Tradesight_Gann_Tool(){ ShowMinus2 = showMinus2, Minus2Line = minus2Line, ShowMinus1 = showMinus1, Minus1Line = minus1Line, ShowZero8 = showZero8, Zero8Line = zero8Line, ShowOne8 = showOne8, One8Line = one8Line, ShowTwo8 = showTwo8, Two8Line = two8Line, ShowThree8 = showThree8, Three8Line = three8Line, ShowFour8 = showFour8, Four8Line = four8Line, ShowFive8 = showFive8, Five8Line = five8Line, ShowSix8 = showSix8, Six8Line = six8Line, ShowSeven8 = showSeven8, Seven8Line = seven8Line, ShowEight8 = showEight8, Eight8Line = eight8Line, ShowPlusOne = showPlusOne, PlusOneLine = plusOneLine, ShowPlusTwo = showPlusTwo, PlusTwoLine = plusTwoLine, TextFont = textFont, TextForeground = textForeground, TextBackground = textBackground }, input, ref cacheTradesight_Gann_Tool);
		}

		public Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(ISeries<double> input, bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			if (cacheTradesight_MarketDirectional_Tool != null)
				for (int idx = 0; idx < cacheTradesight_MarketDirectional_Tool.Length; idx++)
					if (cacheTradesight_MarketDirectional_Tool[idx].DailyReset == dailyReset && cacheTradesight_MarketDirectional_Tool[idx].StartTime == startTime && cacheTradesight_MarketDirectional_Tool[idx].EndTime == endTime && cacheTradesight_MarketDirectional_Tool[idx].OpenLineUpColor == openLineUpColor && cacheTradesight_MarketDirectional_Tool[idx].OpenLineDnColor == openLineDnColor && cacheTradesight_MarketDirectional_Tool[idx].MidLineUpColor == midLineUpColor && cacheTradesight_MarketDirectional_Tool[idx].MidLineDnColor == midLineDnColor && cacheTradesight_MarketDirectional_Tool[idx].AvgPeriod == avgPeriod && cacheTradesight_MarketDirectional_Tool[idx].UpColor == upColor && cacheTradesight_MarketDirectional_Tool[idx].DnColor == dnColor && cacheTradesight_MarketDirectional_Tool[idx].GapPercent == gapPercent && cacheTradesight_MarketDirectional_Tool[idx].TextDecimals == textDecimals && cacheTradesight_MarketDirectional_Tool[idx].TextFont == textFont && cacheTradesight_MarketDirectional_Tool[idx].TextColor == textColor && cacheTradesight_MarketDirectional_Tool[idx].HideOpenLine == hideOpenLine && cacheTradesight_MarketDirectional_Tool[idx].HideMidLine == hideMidLine && cacheTradesight_MarketDirectional_Tool[idx].HideAvgLine == hideAvgLine && cacheTradesight_MarketDirectional_Tool[idx].HideGapLine == hideGapLine && cacheTradesight_MarketDirectional_Tool[idx].AlertOnClose == alertOnClose && cacheTradesight_MarketDirectional_Tool[idx].UseSoundAlerts == useSoundAlerts && cacheTradesight_MarketDirectional_Tool[idx].UsePopupAlerts == usePopupAlerts && cacheTradesight_MarketDirectional_Tool[idx].UseEmailAlerts == useEmailAlerts && cacheTradesight_MarketDirectional_Tool[idx].EmailAddress == emailAddress && cacheTradesight_MarketDirectional_Tool[idx].AlertWav == alertWav && cacheTradesight_MarketDirectional_Tool[idx].EqualsInput(input))
						return cacheTradesight_MarketDirectional_Tool[idx];
			return CacheIndicator<Tradesight.Tradesight_MarketDirectional_Tool>(new Tradesight.Tradesight_MarketDirectional_Tool(){ DailyReset = dailyReset, StartTime = startTime, EndTime = endTime, OpenLineUpColor = openLineUpColor, OpenLineDnColor = openLineDnColor, MidLineUpColor = midLineUpColor, MidLineDnColor = midLineDnColor, AvgPeriod = avgPeriod, UpColor = upColor, DnColor = dnColor, GapPercent = gapPercent, TextDecimals = textDecimals, TextFont = textFont, TextColor = textColor, HideOpenLine = hideOpenLine, HideMidLine = hideMidLine, HideAvgLine = hideAvgLine, HideGapLine = hideGapLine, AlertOnClose = alertOnClose, UseSoundAlerts = useSoundAlerts, UsePopupAlerts = usePopupAlerts, UseEmailAlerts = useEmailAlerts, EmailAddress = emailAddress, AlertWav = alertWav }, input, ref cacheTradesight_MarketDirectional_Tool);
		}

		public Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(ISeries<double> input, int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			if (cacheTradesight_OpeningRange_Tool != null)
				for (int idx = 0; idx < cacheTradesight_OpeningRange_Tool.Length; idx++)
					if (cacheTradesight_OpeningRange_Tool[idx].StartTime == startTime && cacheTradesight_OpeningRange_Tool[idx].EndTime == endTime && cacheTradesight_OpeningRange_Tool[idx].ShadingColor == shadingColor && cacheTradesight_OpeningRange_Tool[idx].ShadingOpacity == shadingOpacity && cacheTradesight_OpeningRange_Tool[idx].StopPercentage == stopPercentage && cacheTradesight_OpeningRange_Tool[idx].StopPoints == stopPoints && cacheTradesight_OpeningRange_Tool[idx].TextFont == textFont && cacheTradesight_OpeningRange_Tool[idx].TextOffset == textOffset && cacheTradesight_OpeningRange_Tool[idx].UseSoundAlerts == useSoundAlerts && cacheTradesight_OpeningRange_Tool[idx].UsePopupAlerts == usePopupAlerts && cacheTradesight_OpeningRange_Tool[idx].UseEmailAlerts == useEmailAlerts && cacheTradesight_OpeningRange_Tool[idx].EmailAddress == emailAddress && cacheTradesight_OpeningRange_Tool[idx].AlertWav == alertWav && cacheTradesight_OpeningRange_Tool[idx].EqualsInput(input))
						return cacheTradesight_OpeningRange_Tool[idx];
			return CacheIndicator<Tradesight.Tradesight_OpeningRange_Tool>(new Tradesight.Tradesight_OpeningRange_Tool(){ StartTime = startTime, EndTime = endTime, ShadingColor = shadingColor, ShadingOpacity = shadingOpacity, StopPercentage = stopPercentage, StopPoints = stopPoints, TextFont = textFont, TextOffset = textOffset, UseSoundAlerts = useSoundAlerts, UsePopupAlerts = usePopupAlerts, UseEmailAlerts = useEmailAlerts, EmailAddress = emailAddress, AlertWav = alertWav }, input, ref cacheTradesight_OpeningRange_Tool);
		}

		public Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(ISeries<double> input, bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			if (cacheTradesight_PressureThreshold_Tool != null)
				for (int idx = 0; idx < cacheTradesight_PressureThreshold_Tool.Length; idx++)
					if (cacheTradesight_PressureThreshold_Tool[idx].DisplayProjectionButton == displayProjectionButton && cacheTradesight_PressureThreshold_Tool[idx].ButtonFGColor == buttonFGColor && cacheTradesight_PressureThreshold_Tool[idx].RegularBGColor == regularBGColor && cacheTradesight_PressureThreshold_Tool[idx].ProjectionModeBGColor == projectionModeBGColor && cacheTradesight_PressureThreshold_Tool[idx].EqualsInput(input))
						return cacheTradesight_PressureThreshold_Tool[idx];
			return CacheIndicator<Tradesight.Tradesight_PressureThreshold_Tool>(new Tradesight.Tradesight_PressureThreshold_Tool(){ DisplayProjectionButton = displayProjectionButton, ButtonFGColor = buttonFGColor, RegularBGColor = regularBGColor, ProjectionModeBGColor = projectionModeBGColor }, input, ref cacheTradesight_PressureThreshold_Tool);
		}

		public Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(ISeries<double> input, BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			if (cacheTradesight_VWAP_Tool != null)
				for (int idx = 0; idx < cacheTradesight_VWAP_Tool.Length; idx++)
					if (cacheTradesight_VWAP_Tool[idx].TimeFrame == timeFrame && cacheTradesight_VWAP_Tool[idx].DailyReset == dailyReset && cacheTradesight_VWAP_Tool[idx].StartTime == startTime && cacheTradesight_VWAP_Tool[idx].EndTime == endTime && cacheTradesight_VWAP_Tool[idx].AlertOnClose == alertOnClose && cacheTradesight_VWAP_Tool[idx].UseSoundAlerts == useSoundAlerts && cacheTradesight_VWAP_Tool[idx].UsePopupAlerts == usePopupAlerts && cacheTradesight_VWAP_Tool[idx].UseEmailAlerts == useEmailAlerts && cacheTradesight_VWAP_Tool[idx].AlertWAV == alertWAV && cacheTradesight_VWAP_Tool[idx].ToEmail == toEmail && cacheTradesight_VWAP_Tool[idx].EqualsInput(input))
						return cacheTradesight_VWAP_Tool[idx];
			return CacheIndicator<Tradesight.Tradesight_VWAP_Tool>(new Tradesight.Tradesight_VWAP_Tool(){ TimeFrame = timeFrame, DailyReset = dailyReset, StartTime = startTime, EndTime = endTime, AlertOnClose = alertOnClose, UseSoundAlerts = useSoundAlerts, UsePopupAlerts = usePopupAlerts, UseEmailAlerts = useEmailAlerts, AlertWAV = alertWAV, ToEmail = toEmail }, input, ref cacheTradesight_VWAP_Tool);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			return indicator.TradesightSeekerComber1000(Input, maxSetupCount, showSeeker, showComber, seekerCountdown, seekerRiskLevel, comberCountdown, comberRiskLevel, contratrendMove, recycleMove, smallSetupMultiplier, countdownQualifier, setupTextColor, outlineSetup, setupStroke, seekerTextColor, seekerAggressiveTextColor, comberTextColor, comberV2TextColor, comberAggressiveTextColor, bullishTDST, bullishTDSTAfterBreak, bearishTDST, bearishTDSTAfterBreak, riskLine, buttonFGColor, regularBGColor, projectionModeBGColor, setupCompleted, exhaustionBar12, exhaustionBar13);
		}

		public Indicators.Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			return indicator.Tradesight_AverageTrueRange(Input, startTime, length, textDecimals, textFont, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold);
		}

		public Indicators.Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			return indicator.Tradesight_Futures_Levels(Input, showLevels, dateOverride, displayUBreak, uBreakStroke, displayLBreak, lBreakStroke, displayVAH, vAHStroke, displayVAL, vALStroke, displayUPT, uPTStroke, displayLPT, lPTStroke, displayTriStar1, triStar1Stroke, displayTriStar2, triStar2Stroke, displayTriStar3, triStar3Stroke, displayTriStar4, triStar4Stroke, displayR4, r4Stroke, displayR3, r3Stroke, displayR2, r2Stroke, displayR1, r1Stroke, displayPivot, pivotStroke, displayS1, s1Stroke, displayS2, s2Stroke, displayS3, s3Stroke, displayS4, s4Stroke, displayLeveledPivot, leveledPivotStroke, displayClosingPivot, closingPivotStroke, showText, showLegend, textDecimals, textColor, textFont, doShading, shadingColor, shadingOpacity, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold, showADR, startTime);
		}

		public Indicators.Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			return indicator.Tradesight_Gann_Tool(Input, showMinus2, minus2Line, showMinus1, minus1Line, showZero8, zero8Line, showOne8, one8Line, showTwo8, two8Line, showThree8, three8Line, showFour8, four8Line, showFive8, five8Line, showSix8, six8Line, showSeven8, seven8Line, showEight8, eight8Line, showPlusOne, plusOneLine, showPlusTwo, plusTwoLine, textFont, textForeground, textBackground);
		}

		public Indicators.Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_MarketDirectional_Tool(Input, dailyReset, startTime, endTime, openLineUpColor, openLineDnColor, midLineUpColor, midLineDnColor, avgPeriod, upColor, dnColor, gapPercent, textDecimals, textFont, textColor, hideOpenLine, hideMidLine, hideAvgLine, hideGapLine, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_OpeningRange_Tool(Input, startTime, endTime, shadingColor, shadingOpacity, stopPercentage, stopPoints, textFont, textOffset, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			return indicator.Tradesight_PressureThreshold_Tool(Input, displayProjectionButton, buttonFGColor, regularBGColor, projectionModeBGColor);
		}

		public Indicators.Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			return indicator.Tradesight_VWAP_Tool(Input, timeFrame, dailyReset, startTime, endTime, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, alertWAV, toEmail);
		}


		
		public Indicators.Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(ISeries<double> input , bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			return indicator.TradesightSeekerComber1000(input, maxSetupCount, showSeeker, showComber, seekerCountdown, seekerRiskLevel, comberCountdown, comberRiskLevel, contratrendMove, recycleMove, smallSetupMultiplier, countdownQualifier, setupTextColor, outlineSetup, setupStroke, seekerTextColor, seekerAggressiveTextColor, comberTextColor, comberV2TextColor, comberAggressiveTextColor, bullishTDST, bullishTDSTAfterBreak, bearishTDST, bearishTDSTAfterBreak, riskLine, buttonFGColor, regularBGColor, projectionModeBGColor, setupCompleted, exhaustionBar12, exhaustionBar13);
		}

		public Indicators.Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(ISeries<double> input , int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			return indicator.Tradesight_AverageTrueRange(input, startTime, length, textDecimals, textFont, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold);
		}

		public Indicators.Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(ISeries<double> input , bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			return indicator.Tradesight_Futures_Levels(input, showLevels, dateOverride, displayUBreak, uBreakStroke, displayLBreak, lBreakStroke, displayVAH, vAHStroke, displayVAL, vALStroke, displayUPT, uPTStroke, displayLPT, lPTStroke, displayTriStar1, triStar1Stroke, displayTriStar2, triStar2Stroke, displayTriStar3, triStar3Stroke, displayTriStar4, triStar4Stroke, displayR4, r4Stroke, displayR3, r3Stroke, displayR2, r2Stroke, displayR1, r1Stroke, displayPivot, pivotStroke, displayS1, s1Stroke, displayS2, s2Stroke, displayS3, s3Stroke, displayS4, s4Stroke, displayLeveledPivot, leveledPivotStroke, displayClosingPivot, closingPivotStroke, showText, showLegend, textDecimals, textColor, textFont, doShading, shadingColor, shadingOpacity, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold, showADR, startTime);
		}

		public Indicators.Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(ISeries<double> input , bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			return indicator.Tradesight_Gann_Tool(input, showMinus2, minus2Line, showMinus1, minus1Line, showZero8, zero8Line, showOne8, one8Line, showTwo8, two8Line, showThree8, three8Line, showFour8, four8Line, showFive8, five8Line, showSix8, six8Line, showSeven8, seven8Line, showEight8, eight8Line, showPlusOne, plusOneLine, showPlusTwo, plusTwoLine, textFont, textForeground, textBackground);
		}

		public Indicators.Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(ISeries<double> input , bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_MarketDirectional_Tool(input, dailyReset, startTime, endTime, openLineUpColor, openLineDnColor, midLineUpColor, midLineDnColor, avgPeriod, upColor, dnColor, gapPercent, textDecimals, textFont, textColor, hideOpenLine, hideMidLine, hideAvgLine, hideGapLine, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(ISeries<double> input , int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_OpeningRange_Tool(input, startTime, endTime, shadingColor, shadingOpacity, stopPercentage, stopPoints, textFont, textOffset, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(ISeries<double> input , bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			return indicator.Tradesight_PressureThreshold_Tool(input, displayProjectionButton, buttonFGColor, regularBGColor, projectionModeBGColor);
		}

		public Indicators.Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(ISeries<double> input , BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			return indicator.Tradesight_VWAP_Tool(input, timeFrame, dailyReset, startTime, endTime, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, alertWAV, toEmail);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			return indicator.TradesightSeekerComber1000(Input, maxSetupCount, showSeeker, showComber, seekerCountdown, seekerRiskLevel, comberCountdown, comberRiskLevel, contratrendMove, recycleMove, smallSetupMultiplier, countdownQualifier, setupTextColor, outlineSetup, setupStroke, seekerTextColor, seekerAggressiveTextColor, comberTextColor, comberV2TextColor, comberAggressiveTextColor, bullishTDST, bullishTDSTAfterBreak, bearishTDST, bearishTDSTAfterBreak, riskLine, buttonFGColor, regularBGColor, projectionModeBGColor, setupCompleted, exhaustionBar12, exhaustionBar13);
		}

		public Indicators.Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			return indicator.Tradesight_AverageTrueRange(Input, startTime, length, textDecimals, textFont, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold);
		}

		public Indicators.Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			return indicator.Tradesight_Futures_Levels(Input, showLevels, dateOverride, displayUBreak, uBreakStroke, displayLBreak, lBreakStroke, displayVAH, vAHStroke, displayVAL, vALStroke, displayUPT, uPTStroke, displayLPT, lPTStroke, displayTriStar1, triStar1Stroke, displayTriStar2, triStar2Stroke, displayTriStar3, triStar3Stroke, displayTriStar4, triStar4Stroke, displayR4, r4Stroke, displayR3, r3Stroke, displayR2, r2Stroke, displayR1, r1Stroke, displayPivot, pivotStroke, displayS1, s1Stroke, displayS2, s2Stroke, displayS3, s3Stroke, displayS4, s4Stroke, displayLeveledPivot, leveledPivotStroke, displayClosingPivot, closingPivotStroke, showText, showLegend, textDecimals, textColor, textFont, doShading, shadingColor, shadingOpacity, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold, showADR, startTime);
		}

		public Indicators.Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			return indicator.Tradesight_Gann_Tool(Input, showMinus2, minus2Line, showMinus1, minus1Line, showZero8, zero8Line, showOne8, one8Line, showTwo8, two8Line, showThree8, three8Line, showFour8, four8Line, showFive8, five8Line, showSix8, six8Line, showSeven8, seven8Line, showEight8, eight8Line, showPlusOne, plusOneLine, showPlusTwo, plusTwoLine, textFont, textForeground, textBackground);
		}

		public Indicators.Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_MarketDirectional_Tool(Input, dailyReset, startTime, endTime, openLineUpColor, openLineDnColor, midLineUpColor, midLineDnColor, avgPeriod, upColor, dnColor, gapPercent, textDecimals, textFont, textColor, hideOpenLine, hideMidLine, hideAvgLine, hideGapLine, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_OpeningRange_Tool(Input, startTime, endTime, shadingColor, shadingOpacity, stopPercentage, stopPoints, textFont, textOffset, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			return indicator.Tradesight_PressureThreshold_Tool(Input, displayProjectionButton, buttonFGColor, regularBGColor, projectionModeBGColor);
		}

		public Indicators.Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			return indicator.Tradesight_VWAP_Tool(Input, timeFrame, dailyReset, startTime, endTime, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, alertWAV, toEmail);
		}


		
		public Indicators.Tradesight.TradesightSeekerComber1000 TradesightSeekerComber1000(ISeries<double> input , bool maxSetupCount, bool showSeeker, bool showComber, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.SeekerMode seekerCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode seekerRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ComberMode comberCountdown, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RiskLevelMode comberRiskLevel, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.ContratrendMethod contratrendMove, NinjaTrader.NinjaScript.Indicators.Tradesight.TradesightSeekerComber1000.RecycleMethod recycleMove, double smallSetupMultiplier, bool countdownQualifier, Brush setupTextColor, bool outlineSetup, Stroke setupStroke, Brush seekerTextColor, Brush seekerAggressiveTextColor, Brush comberTextColor, Brush comberV2TextColor, Brush comberAggressiveTextColor, Stroke bullishTDST, Stroke bullishTDSTAfterBreak, Stroke bearishTDST, Stroke bearishTDSTAfterBreak, Stroke riskLine, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor, string setupCompleted, string exhaustionBar12, string exhaustionBar13)
		{
			return indicator.TradesightSeekerComber1000(input, maxSetupCount, showSeeker, showComber, seekerCountdown, seekerRiskLevel, comberCountdown, comberRiskLevel, contratrendMove, recycleMove, smallSetupMultiplier, countdownQualifier, setupTextColor, outlineSetup, setupStroke, seekerTextColor, seekerAggressiveTextColor, comberTextColor, comberV2TextColor, comberAggressiveTextColor, bullishTDST, bullishTDSTAfterBreak, bearishTDST, bearishTDSTAfterBreak, riskLine, buttonFGColor, regularBGColor, projectionModeBGColor, setupCompleted, exhaustionBar12, exhaustionBar13);
		}

		public Indicators.Tradesight.Tradesight_AverageTrueRange Tradesight_AverageTrueRange(ISeries<double> input , int startTime, int length, int textDecimals, SimpleFont textFont, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold)
		{
			return indicator.Tradesight_AverageTrueRange(input, startTime, length, textDecimals, textFont, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold);
		}

		public Indicators.Tradesight.Tradesight_Futures_Levels Tradesight_Futures_Levels(ISeries<double> input , bool showLevels, string dateOverride, bool displayUBreak, Stroke uBreakStroke, bool displayLBreak, Stroke lBreakStroke, bool displayVAH, Stroke vAHStroke, bool displayVAL, Stroke vALStroke, bool displayUPT, Stroke uPTStroke, bool displayLPT, Stroke lPTStroke, bool displayTriStar1, Stroke triStar1Stroke, bool displayTriStar2, Stroke triStar2Stroke, bool displayTriStar3, Stroke triStar3Stroke, bool displayTriStar4, Stroke triStar4Stroke, bool displayR4, Stroke r4Stroke, bool displayR3, Stroke r3Stroke, bool displayR2, Stroke r2Stroke, bool displayR1, Stroke r1Stroke, bool displayPivot, Stroke pivotStroke, bool displayS1, Stroke s1Stroke, bool displayS2, Stroke s2Stroke, bool displayS3, Stroke s3Stroke, bool displayS4, Stroke s4Stroke, bool displayLeveledPivot, Stroke leveledPivotStroke, bool displayClosingPivot, Stroke closingPivotStroke, bool showText, bool showLegend, int textDecimals, Brush textColor, SimpleFont textFont, bool doShading, Brush shadingColor, int shadingOpacity, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav, double alertThreshold, bool showADR, int startTime)
		{
			return indicator.Tradesight_Futures_Levels(input, showLevels, dateOverride, displayUBreak, uBreakStroke, displayLBreak, lBreakStroke, displayVAH, vAHStroke, displayVAL, vALStroke, displayUPT, uPTStroke, displayLPT, lPTStroke, displayTriStar1, triStar1Stroke, displayTriStar2, triStar2Stroke, displayTriStar3, triStar3Stroke, displayTriStar4, triStar4Stroke, displayR4, r4Stroke, displayR3, r3Stroke, displayR2, r2Stroke, displayR1, r1Stroke, displayPivot, pivotStroke, displayS1, s1Stroke, displayS2, s2Stroke, displayS3, s3Stroke, displayS4, s4Stroke, displayLeveledPivot, leveledPivotStroke, displayClosingPivot, closingPivotStroke, showText, showLegend, textDecimals, textColor, textFont, doShading, shadingColor, shadingOpacity, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav, alertThreshold, showADR, startTime);
		}

		public Indicators.Tradesight.Tradesight_Gann_Tool Tradesight_Gann_Tool(ISeries<double> input , bool showMinus2, Stroke minus2Line, bool showMinus1, Stroke minus1Line, bool showZero8, Stroke zero8Line, bool showOne8, Stroke one8Line, bool showTwo8, Stroke two8Line, bool showThree8, Stroke three8Line, bool showFour8, Stroke four8Line, bool showFive8, Stroke five8Line, bool showSix8, Stroke six8Line, bool showSeven8, Stroke seven8Line, bool showEight8, Stroke eight8Line, bool showPlusOne, Stroke plusOneLine, bool showPlusTwo, Stroke plusTwoLine, SimpleFont textFont, Brush textForeground, Brush textBackground)
		{
			return indicator.Tradesight_Gann_Tool(input, showMinus2, minus2Line, showMinus1, minus1Line, showZero8, zero8Line, showOne8, one8Line, showTwo8, two8Line, showThree8, three8Line, showFour8, four8Line, showFive8, five8Line, showSix8, six8Line, showSeven8, seven8Line, showEight8, eight8Line, showPlusOne, plusOneLine, showPlusTwo, plusTwoLine, textFont, textForeground, textBackground);
		}

		public Indicators.Tradesight.Tradesight_MarketDirectional_Tool Tradesight_MarketDirectional_Tool(ISeries<double> input , bool dailyReset, int startTime, int endTime, Brush openLineUpColor, Brush openLineDnColor, Brush midLineUpColor, Brush midLineDnColor, int avgPeriod, Brush upColor, Brush dnColor, double gapPercent, int textDecimals, SimpleFont textFont, Brush textColor, bool hideOpenLine, bool hideMidLine, bool hideAvgLine, bool hideGapLine, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_MarketDirectional_Tool(input, dailyReset, startTime, endTime, openLineUpColor, openLineDnColor, midLineUpColor, midLineDnColor, avgPeriod, upColor, dnColor, gapPercent, textDecimals, textFont, textColor, hideOpenLine, hideMidLine, hideAvgLine, hideGapLine, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_OpeningRange_Tool Tradesight_OpeningRange_Tool(ISeries<double> input , int startTime, int endTime, Brush shadingColor, int shadingOpacity, double stopPercentage, int stopPoints, SimpleFont textFont, int textOffset, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string emailAddress, string alertWav)
		{
			return indicator.Tradesight_OpeningRange_Tool(input, startTime, endTime, shadingColor, shadingOpacity, stopPercentage, stopPoints, textFont, textOffset, useSoundAlerts, usePopupAlerts, useEmailAlerts, emailAddress, alertWav);
		}

		public Indicators.Tradesight.Tradesight_PressureThreshold_Tool Tradesight_PressureThreshold_Tool(ISeries<double> input , bool displayProjectionButton, Brush buttonFGColor, Brush regularBGColor, Brush projectionModeBGColor)
		{
			return indicator.Tradesight_PressureThreshold_Tool(input, displayProjectionButton, buttonFGColor, regularBGColor, projectionModeBGColor);
		}

		public Indicators.Tradesight.Tradesight_VWAP_Tool Tradesight_VWAP_Tool(ISeries<double> input , BarsPeriod timeFrame, bool dailyReset, int startTime, int endTime, bool alertOnClose, bool useSoundAlerts, bool usePopupAlerts, bool useEmailAlerts, string alertWAV, string toEmail)
		{
			return indicator.Tradesight_VWAP_Tool(input, timeFrame, dailyReset, startTime, endTime, alertOnClose, useSoundAlerts, usePopupAlerts, useEmailAlerts, alertWAV, toEmail);
		}

	}
}

#endregion
